Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.rwi.extension
Class RwiPropertyProviderAdapter

Direct Known Subclasses:
  BooleanPropertyAdapter

public abstract class RwiPropertyProviderAdapter
implements RwiPropertyProvider

Presents default implementation of `RwiPropertyProvider`.

Author:
  TogetherSoft
See Also: RwiPropertyProvider

Method Summary
`RwiProperty` | `addProperty(RwiPropertyMap element, String propertyValue)` Always return `RwiProperty` which has no subproperties.
`boolean` | `canAddProperty(RwiPropertyMap element, String propertyValue)` See RwiPropertyProvider.canAddProperty.
`boolean` | `canSetProperty(RwiPropertyMap element, String propertyValue)` Always return `false`.
`boolean` | `canSetProperty(RwiPropertyMap element, boolean propertyValue)` See RwiPropertyProvider.canSetProperty.
`RwiElementEnumeration` | `dependencies(RwiPropertyMap element)` Returns empty enumeration of RWI elements.
`String` | `getProperty(RwiPropertyMap element)` Always return `null`.
`abstract String` | `getPropertyName()` See RwiPropertyProvider.getPropertyName().
`boolean` | `hasProperty(RwiPropertyMap element)` See RwiPropertyProvider.hasProperty.
`boolean` | `isApplicable(RwiPropertyMap element)` See RwiPropertyProvider#isApplicable().
`boolean` | `isPropertyReadable(RwiPropertyMap element)` Always return `false`.
`boolean` | `isPropertyWritable(RwiPropertyMap element)` Always return `false`.
`RwiPropertyEnumeration` | `properties(RwiPropertyMap element)` Returns property enumeration which contains only provided property.
`void` | `setProperty(RwiPropertyMap element, String propertyValue)` See RwiPropertyProvider.setProperty.
`void` | `setProperty(RwiPropertyMap element, boolean propertyValue)` See RwiPropertyProvider.setProperty.

Method Detail

### addProperty

    public RwiProperty addProperty(RwiPropertyMap element, String propertyValue)

  Always return `RwiProperty` which has no subproperties. See RwiPropertyProvider.addProperty.

### canAddProperty

    public boolean canAddProperty(RwiPropertyMap element, String propertyValue)

  See RwiPropertyProvider.canAddProperty.

### canSetProperty

    public boolean canSetProperty(RwiPropertyMap element, String propertyValue)

  Always return `false`. See RwiPropertyProvider.canSetProperty.

### canSetProperty

    public boolean canSetProperty(RwiPropertyMap element, boolean propertyValue)

  See RwiPropertyProvider.canSetProperty.

### dependencies

    public RwiElementEnumeration dependencies(RwiPropertyMap element)

  Returns empty enumeration of RWI elements. See RwiPropertyProvider.dependencies.

### getProperty

    public String getProperty(RwiPropertyMap element)

  Always return `null`. See RwiPropertyProvider.getPorperty.

### getPropertyName

    public abstract String getPropertyName()

  See RwiPropertyProvider.getPropertyName().

### hasProperty

    public boolean hasProperty(RwiPropertyMap element)

  See RwiPropertyProvider.hasProperty.

### isApplicable

    public boolean isApplicable(RwiPropertyMap element)

  See RwiPropertyProvider#isApplicable().

### isPropertyReadable

    public boolean isPropertyReadable(RwiPropertyMap element)

  Always return `false`. See RwiPropertyProvider.isPropertyReadable.

### isPropertyWritable

    public boolean isPropertyWritable(RwiPropertyMap element)

  Always return `false`. See RwiPropertyProvider.isPropertyWritable.

### properties

    public RwiPropertyEnumeration properties(RwiPropertyMap element)

  Returns property enumeration which contains only provided property.

### setProperty

    public void setProperty(RwiPropertyMap element, String propertyValue)

  See RwiPropertyProvider.setProperty.

### setProperty

    public void setProperty(RwiPropertyMap element, boolean propertyValue)

  See RwiPropertyProvider.setProperty.

Association Links

to Class com.togethersoft.openapi.rwi.enum.RwiElementEnumeration

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD